JembossProcess (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.programs
Class JembossProcess

    java.lang.Object
      |
      +--org.emboss.jemboss.programs.JembossProcess

public class JembossProcess
extends java.lang.Object

Field Summary
`private java.lang.String` | `blankstring`
`private boolean` | `completed`
`private java.lang.String` | `description`
`private boolean` | `hasresults`
`private java.lang.String` | `jobid`
`private java.lang.String` | `project`
`private java.util.Hashtable` | `results`
`private boolean` | `running`

Constructor Summary
`JembossProcess(java.lang.String jobid)`
`JembossProcess(java.lang.String project, java.lang.String jobid)`
`JembossProcess(java.lang.String project, java.lang.String jobid, java.lang.String description)`

Method Summary
`void` | `complete()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getJob()`
`java.lang.String` | `getProject()`
`java.util.Hashtable` | `getResults()`
`boolean` | `hasResults()`
`boolean` | `isCompleted()`
`boolean` | `isRunning()`
`void` | `setDescription(java.lang.String s)`
`void` | `setResults(java.util.Hashtable newres)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### completed

    private boolean completed

### running

    private boolean running

### hasresults

    private boolean hasresults

### project

    private java.lang.String project

### jobid

    private java.lang.String jobid

### description

    private java.lang.String description

### blankstring

    private final java.lang.String blankstring

See Also:
  Constant Field Values

### results

    private java.util.Hashtable results

Constructor Detail

### JembossProcess

    public JembossProcess(java.lang.String project,
                          java.lang.String jobid,
                          java.lang.String description)

### JembossProcess

    public JembossProcess(java.lang.String project,
                          java.lang.String jobid)

### JembossProcess

    public JembossProcess(java.lang.String jobid)

Method Detail

### isCompleted

    public boolean isCompleted()

### isRunning

    public boolean isRunning()

### hasResults

    public boolean hasResults()

### getProject

    public java.lang.String getProject()

### getJob

    public java.lang.String getJob()

### getDescription

    public java.lang.String getDescription()

### complete

    public void complete()

### setDescription

    public void setDescription(java.lang.String s)

### setResults

    public void setResults(java.util.Hashtable newres)

### getResults

    public java.util.Hashtable getResults()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD